// ## Теоретический вопрос

// 1. Описать своими словами для чего вообще нужны функции в программировании.
//объявив единожды функцию, мы можем вызывать ее в любом участке кода повторно з разными аргументами, что делает код значительно меньшим и чище.

// 2. Описать своими словами, зачем в функцию передавать аргумент.
//Аргументы нужны для того, что-бы функцию можно было использовать с разными значения в разных частях кода.

// 3. Что такое оператор return и как он работает внутри функции?
// return - это оператор, который возвращает результат действия функии и мы можем использовать вызов данной функции как значение в выражении.

// #### Технические требования:

// - Считать с помощью модального окна браузера два числа.
// - Считать с помощью модального окна браузера математическую операцию, которую нужно совершить. Сюда может быть введено `+`, `-`, `*`, `/`.
// - Создать функцию, в которую передать два значения и операцию.
// - Вывести в консоль результат выполнения функции.

// #### Необязательное задание продвинутой сложности:

// - После ввода данных добавить проверку их корректности. Если пользователь не ввел числа, либо при вводе указал не числа, - спросить оба числа заново (при этом значением по умолчанию для каждой из переменных должна быть введенная ранее информация).

// #### Литература:

// - [Функции - основы](https://learn.javascript.ru/function-basics)

let numberFirst = prompt("Enter first number");
let numberSecond = prompt("Enter second number");
while (!+numberFirst || !+numberSecond) {
  numberFirst = prompt("Enter first number", numberFirst);
  numberSecond = prompt("Enter second number", numberSecond);
}

let mathOperator = prompt("Enter math operator", "+, -, *, /");
while (
  mathOperator !== "+" &&
  mathOperator !== "-" &&
  mathOperator !== "*" &&
  mathOperator !== "/"
) {
  mathOperator = prompt("Enter math operator", "+, -, *, /");
}

function summ(a, b, c) {
  switch (c) {
    case "+":
      console.log(a + b);
      break;
    case "-":
      console.log(a - b);
      break;
    case "*":
      console.log(a * b);
      break;
    case "/":
      console.log(a / b);
      break;
  }
}

summ(+numberFirst, +numberSecond, mathOperator);
